New engagement webhook events; new request and response fields across four API endpoints

Added

  • New webhook events:
    • contact_center.engagement_consumer_sent_message
    • contact_center.engagement_customer_sent_file
    • contact_center.engagement_user_sent_message
    • contact_center.engagement_user_sent_file
  • New Routing Profiles APIs:
    • POST /v2/contact_center/agent_routing_profiles
    • DELETE /v2/contact_center/consumer_routing_profiles/{consumerRoutingProfileId}
    • PATCH /v2/contact_center/agent_routing_profiles/{agentRoutingProfileId}
    • DELETE /v2/contact_center/agent_routing_profiles/{agentRoutingProfileId}
    • GET /v2/contact_center/agent_routing_profiles

Changed

  • New transferred_initiated and transferred_completed response fields in this Reports API.
    • GET /v2/contact_center/analytics/agents/leg_metrics
  • New voicemail_auto_assignment, greeting_audio_asset_id and voicemail_send_reminders_for_unresolved response fields in this Inboxes API:
    • GET /v2/contact_center/inboxes/{inboxId}
  • New intent_group_name, intent_group_required, category_type and intent_group_id response fields in this Routing Profiles API:
    • GET /v2/contact_center/agent_routing_profiles/{agentRoutingProfileId}
  • New voicemail_auto_assignment, voicemail_send_reminders_for_unresolved and greeting_audio_asset_id request fields in this Inboxes API:
    • PATCH /v2/contact_center/inboxes/{inboxId}